Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1353976 - tripleo centos7 images missing linux-firmware package
Summary: tripleo centos7 images missing linux-firmware package
Keywords:
Status: NEW
Alias: None
Product: RDO
Classification: Community
Component: openstack-tripleo
Version: Mitaka
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: trunk
Assignee: John Trowbridge
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-08 15:12 UTC by Ilja Maslov
Modified: 2017-08-16 22:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Ilja Maslov 2016-07-08 15:12:57 UTC
Description of problem:

Current Centos Mitaka CBS images and most of the delorean images do not have linux-firmware package installed, which breaks introspection and overcloud deployment on the baremetal hardware that requires firmware.

Version-Release number of selected component (if applicable):
http://buildlogs.centos.org/centos/7/cloud/x86_64/tripleo_images/mitaka/
Also images built by tripleo installed off master

How reproducible:

Steps to Reproduce:
Use baremetal hardware with bnx2 NetExtreme II network interfaces
1. Upload any of the affected images to undercloud
2. Start introspection
3. Introspection never finishes and console of the baremetal node is full of Network is unreachable messages

1a. Start overcloud deployment of Mitaka CBS overcloud-full image on baremetal hardware with bnx2 network cards
2a. After the disk had been imaged and node reboots, installation doesn't proceed
3a. Reboot the box off USB drive, mount root partition and examine messages
4a. Errors similar to "bnx2: Can’t load firmware file “bnx2/bnx2-rv2p-09ax-6.0.17.fw"

Actual results:
Introspection doesn't work and times out
Overcloud deployment doesn't work and times out

Expected results:
Introspection works
Overcloud deployed successfully

Additional info:

Comment 1 Alan Pevec 2016-07-08 21:41:14 UTC
John, should this be moved to https://github.com/redhat-openstack/ansible-role-tripleo-image-build/issues ?

Comment 2 John Trowbridge 2016-07-11 14:37:39 UTC
Alan, while it could be "fixed" there, I think we would actually want to fix this in TripleO. We would at least want to update the example image building YAML in tripleo-common[1], but if it is a universal requirement, we should add it to some DIB element. However, I am not totally sure which one. If we need it on both the IPA ramdisk and the overcloud-full image, then it probably would have to be added to the base elements.

[1] https://github.com/openstack/tripleo-common/blob/master/image-yaml/overcloud-images.yaml

Comment 3 Christopher Brown 2017-06-18 12:03:01 UTC
linux-firmware doesn't appear to be in the the delorean images or the yaml mentioned above still. Yet it appears to be in the Red Hat Director images.

Happy to pick this one up and have a look if people still think this is required?

Comment 4 Ilja Maslov 2017-07-06 14:50:18 UTC
The reason for this package missing is because we use Centos cloud images as a base where there is no need to support any hardware that may require this package.

The problem is with Ironic deployments, where there is a good chance that this package would be required, it is included in the Centos base packages, if installed from the minimal ISO.

This particular issue is no longer relevant for us as we decided not to go ahead with production OpenStack cluster deployment, but I'm sure many would like this package to be present in both inspection and node images.

Comment 5 Claudiu Gheorghe 2017-08-16 22:16:09 UTC
(In reply to Ilja Maslov from comment #4)
> The reason for this package missing is because we use Centos cloud images as
> a base where there is no need to support any hardware that may require this
> package.
> 
> The problem is with Ironic deployments, where there is a good chance that
> this package would be required, it is included in the Centos base packages,
> if installed from the minimal ISO.
> 
> This particular issue is no longer relevant for us as we decided not to go
> ahead with production OpenStack cluster deployment, but I'm sure many would
> like this package to be present in both inspection and node images.

Hello,

Newbie here...

As of this date Centos cloud image files still do not contain linux-firmware.

I have 2 x Dell R710 with bnx2 nics that do not boot into introspection because the driver is missing from ipa ramdisk.

Error:

bnx2: Can't load firmware file "bnx2/bnx2-mips-09-6.2.1b.fw

Is there a way to add the firmware directly to agent.ramdisk?

What i have tried:

virt-customize -a overcloud-full.qcow2 --install linux-firmware
openstack overcloud image upload --update-existing

Image "overcloud-full-vmlinuz" is up-to-date, skipping.
Image "overcloud-full-initrd" is up-to-date, skipping.
Image "overcloud-full" was uploaded.
+--------------------------------------+----------------+-------------+------------+--------+
|                  ID                  |      Name      | Disk Format |    Size    | Status |
+--------------------------------------+----------------+-------------+------------+--------+
| de601e9a-b738-43ad-9460-087813de67f0 | overcloud-full |    qcow2    | 1285160960 | active |
+--------------------------------------+----------------+-------------+------------+--------+
Image "bm-deploy-kernel" is up-to-date, skipping.
Image "bm-deploy-ramdisk" is up-to-date, skipping.
Image file "/httpboot/agent.kernel" is up-to-date, skipping.
Image file "/httpboot/agent.ramdisk" is up-to-date, skipping.


Note You need to log in before you can comment on or make changes to this bug.